I have installed the mod_pagespeed to one of our servers and am VERY pleased with the results. One of our clients has a large wordpress site and even with best practices implemented was taking to long to load. This mod literally off seconds and the site is loading like a champ. I want to Install it on my other servers; however, there are many legacy sites running PHP4 and http 2.0 on them. Does anyone know if this mod would effect them adversely? Appreciate the input and good post!